/**
 * @licence
 * Copyright 2022-2022 - RPG of the Apocalypse
 * Licensed under MIT or any later version
 * Refer to the LICENSE file included.
 */

@font-face {
  font-family: "Geo";
  src: local("Geo"), url(../fonts/Geo-Regular.ttf) format("truetype");
}

:root {
    --primary: #352929;
    --primary-clear: #47464c;
    --secondary: #900;

    --blue: #17a2b8;
    --blueDark: #0d6a79;
    --grey: #343a40;
    --greyDark: #6c757d;
    --green: #008b21;
    --greenDark: #196b2c;
    --yellow: #ffc107;
    --yellowDark: #c59400;
    --red: #c2192a;
    --redDark: #a82734;
  }

body,
html {
  margin: 0;
  padding: 0;
  height: 100%;
  width: 100%;

  background-color: var(--primary);

  font-family: Geo;
  color: white;
  font-size: 30px;
}

* {
  font-family: "Geo", "Avenir", Helvetica, Arial, sans-serif;
}

h1, h2, h3, h4, h5, h6 {
  margin: 0;
  padding: 0;
}

input {
  border: 0;
  outline: 0;
  font-size: 1.1em;
  border-radius: 3px;
  box-shadow: inset 0 0 5px 1px rgb(107, 107, 107);
  width: 200px;
}

/* Buttons */
button {
  cursor: pointer;
  position: relative;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;

  background-color: var(--primary-clear);
  color: #fff;
  border: none;
  box-shadow: 2px 2px 0 var(--primary), -1px -1px 0 rgb(134, 134, 134);
  text-transform: uppercase;

  font-size: 0.9em;
}


button:hover {
  filter: brightness(80%);
}
button:active {
  filter: brightness(60%);
  left: -1px;
  top: -1px;
  box-shadow: 2px 2px 0 var(--primary);
}
button:disabled {
  cursor: not-allowed;
  background-color: var(--grey);
  color: var(--greyDark);
  /* box-shadow: none; */
}

button.red {
  background-color: var(--red);
}
button.green {
  background-color: var(--green);
}
button.blue {
  background-color: var(--blue);
}
button.yellow {
  background-color: var(--yellow);
  color: rgb(47, 47, 47);
}

button.selected {
  transform: scale(1.1);
  filter: brightness(130%);
  color: white;
}

/* Custom components */
.panel {
  padding: 6px;
  margin: 6px;
  display: flex;
  border-radius: 2px;
  background-color: var(--primary-clear);
  box-shadow: 2px 2px 2px black, -2px -2px 2px rgb(134, 134, 134);
}
.panel.selectable {
  cursor: pointer;
}
.panel.selectable:hover {
  filter: brightness(80%);
}